Subject: bug#13041: 24.2; diacritic-fold-search

From: Juri Linkov <[email-masked]>
Date: Mon, 10 Dec 2012 09:57:49 +0200

> One step at a time: first, let's make sure we can match it.  Then we'll
> worry about what the match-boundaries should be and how to display it
> (when we get to this point, we can even consider displaying suﬀer as
> suffer temporarily, just like we do when point is in the middle of
> a composition).

Isearch used to decompose a composition of a character with a combining
accent and displaying them separately in the middle of a composition
in Emacs 23.  But as I see now in the latest version Isearch in the
middle of a composition doesn't decompose them.  It highlights the
matched character with still unmatched combining accent as a whole.
It seems the current behavior is better then earlier because it doesn't
change the displayed characters.  This is more WYSIWYG.